/*
 * $Id: pkgwidgetimpl.h,v 1.2 2000/12/29 20:50:48 twschulz Exp $
 * Copyright (c) 2000 Trenton Schulz
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer,
 *    without modification, immediately at the beginning of the file.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE
 */


#ifndef PKGWIDGETIMPL_H
#define PKGWIDGETIMPL_H

#include "qtpkg.h"

class QString;
//class QStatusBar;

class PkgWidgetImpl : public PkgWidget
{
	Q_OBJECT
public:
	PkgWidgetImpl(const char* strNewDB = "/var/db/pkg",
	              QWidget* parent = 0, const char* name = 0, WFlags fl = 0);
	~PkgWidgetImpl();
	void init(void);
	void hideRemove(void);
	void showRemove(void);

public slots:
	void slotPkgDelete(void);
	void slotPkgDesc(void);
	void slotPkgContents(void);
	void slotPkgRequired(void);
	void slotEnable(void);

private:
	QString strDB;
	//QStatusBar *barPkg;
};

#endif
